Summary: Command line tool to interact with an X Window Manager
Name: wmctrl
Version: 1.07
Release: 2%{?dist}
License: GPLv2+
Group: User Interface/X
URL: http://tomas.styblo.name/wmctrl/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://tomas.styblo.name/wmctrl/dist/%{name}-%{version}.tar.gz
Source1: http://ftp.de.debian.org/debian/pool/main/w/wmctrl/wmctrl_1.07-7.debian.tar.gz
Patch0: wmctrl-sticky-workspace.patch
BuildRequires: xorg-x11-proto-devel, libXmu-devel, glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The wmctrl program is a UNIX/Linux command line tool to interact with an
EWMH/NetWM compatible X Window Manager. The tool provides command line access
to almost all the features defined in the EWMH specification. It can be used,
for example, to obtain information about the window manager, to get a detailed
list of desktops and managed windows, to switch and resize desktops, to make
windows full-screen, always-above or sticky, and to activate, close, move,
resize, maximize and minimize them. The command line access to these window
management functions makes it easy to automate and execute them from any
application that is able to run a command in response to an event.

%prep
%setup -q -a 1
%patch0 -p1
for i in debian/patches/??_*.patch; do
  %{__patch} -p1 < $i
done

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*.1*

%changelog
* Tue Dec 29 2020 Simon Matter <simon.matter@invoca.ch> 1.07-2
- add missing vendor tags

* Thu Mar 27 2014 Simon Matter <simon.matter@invoca.ch> 1.07-1
- initial package
